Skip to content

GET GET Learnt Schema per API endpoint.

GET
/api/ml/data/namespaces/{namespace}/virtual_hosts/{name}/api_endpoint/learnt_schema
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/virtual_hosts/example/api_endpoint/learnt_schema \
--header 'Authorization: <Authorization>'

GET Learnt Schema per API endpoint for a given auto discovered API endpoint for Virtual Host.

Examples of this operation.

namespace
required
string

Namespace Namespace of the App type for current request.

name
required
string

Virtual Host Virtual Host Name for current request.

collapsed_url
string

API endpoint for which PDFs are requested.

method
string

Method of API endpoint for which PDFs are requested.

domains
Array<string>

List of domains that needs to be sent as part of the request Optional filter by domains. If absent, all domains are considered.

api_endpoint_info_request
Array<string>
Allowed values: API_ENDPOINT_INFO_NONE API_ENDPOINT_INFO_PDF_SPARKLINES

List of additional things that needs to be sent as part of the request

API ENDPOINT INFO NONE option is used to disable any additional info request per API endpoint response API ENDPOINT INFO PDF SPARKLINES option is used to enable pdf sparkline info along with the API endpoint response.

A successful response.

Media typeapplication/json
API endpoint Req Body Schema response

Shape of response to GET req body schema for a given API endpoint.

object
api_specs
API Specifications

Discovered API Specifications based on API type for eg, OpenAPI or GraphQL schema for API endpoint.

object
authentication
object
auth_data_per_definition
auth_data_per_definition

Authentication Data Per Definition.

object
discovered_schema
object
last_updated_time
Last Updated Time

Last Updated Time for request API endpoint. The time updated when the APIEP file is uploaded to Azure/AWS.

string format: date-time
<= 1024 characters
request_schema
object
body_per_content_type
Body schema per content type

Body schema per content type for request API endpoint.

object
cookies
object
examples
Examples

Examples for request API endpoint.

Array<string>
schema
Schema

Schema for request API endpoint.

string
<= 1024 characters
headers
object
examples
Examples

Examples for request API endpoint.

Array<string>
schema
Schema

Schema for request API endpoint.

string
<= 1024 characters
query_params
object
examples
Examples

Examples for request API endpoint.

Array<string>
schema
Schema

Schema for request API endpoint.

string
<= 1024 characters
response_schema_per_rsp_code
Response schema per rsp code

Response schema per rsp code for request API endpoint.

object
inventory_openapi_spec
Inventory OpenAPI Spec

Inventory OpenAPI spec for request API endpoint.

string
<= 1024 characters
pdf_info
object
creation_timestamp
creation_timestamp

Creation_timestamp represents the time when this PDF was created It is represented in RFC3339 form and is in UTC.

string format: date-time
<= 1024 characters
error_rate
PDF(error rate)

List of Probability density points for PDF for error rate.

Array<object>
Probability Density Point(x,y)

Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.

object
probability
Probability

Probability of given Value of the metric that can be plotted on y-axis.

number format: float
x
Metric Value

Value of the metric that can be plotted on x-axis.

number format: float
error_rate_stat
object
pdf_95
PDF 95th Percentile

Pdf_95 represents the 95th percentile of PDF.

number format: float
pdf_mean
PDF Mean

Pdf_mean represents the mean of PDF.

number format: float
latency_no_data
PDF(response latency to first byte)

List of Probability density points for PDF for latency of response begin.

Array<object>
Probability Density Point(x,y)

Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.

object
probability
Probability

Probability of given Value of the metric that can be plotted on y-axis.

number format: float
x
Metric Value

Value of the metric that can be plotted on x-axis.

number format: float
latency_no_data_stat
object
pdf_95
PDF 95th Percentile

Pdf_95 represents the 95th percentile of PDF.

number format: float
pdf_mean
PDF Mean

Pdf_mean represents the mean of PDF.

number format: float
latency_with_data
PDF(response latency)

List of Probability density points for PDF for latency of response end.

Array<object>
Probability Density Point(x,y)

Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.

object
probability
Probability

Probability of given Value of the metric that can be plotted on y-axis.

number format: float
x
Metric Value

Value of the metric that can be plotted on x-axis.

number format: float
latency_with_data_stat
object
pdf_95
PDF 95th Percentile

Pdf_95 represents the 95th percentile of PDF.

number format: float
pdf_mean
PDF Mean

Pdf_mean represents the mean of PDF.

number format: float
request_rate
PDF(request rate)

List of Probability density points for PDF for request rate.

Array<object>
Probability Density Point(x,y)

Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.

object
probability
Probability

Probability of given Value of the metric that can be plotted on y-axis.

number format: float
x
Metric Value

Value of the metric that can be plotted on x-axis.

number format: float
request_rate_stat
object
pdf_95
PDF 95th Percentile

Pdf_95 represents the 95th percentile of PDF.

number format: float
pdf_mean
PDF Mean

Pdf_mean represents the mean of PDF.

number format: float
request_size
PDF(request_size)

List of Probability density points for PDF for request size.

Array<object>
Probability Density Point(x,y)

Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.

object
probability
Probability

Probability of given Value of the metric that can be plotted on y-axis.

number format: float
x
Metric Value

Value of the metric that can be plotted on x-axis.

number format: float
request_size_stat
object
pdf_95
PDF 95th Percentile

Pdf_95 represents the 95th percentile of PDF.

number format: float
pdf_mean
PDF Mean

Pdf_mean represents the mean of PDF.

number format: float
response_size
PDF(response_size)

List of Probability density points for PDF for response size.

Array<object>
Probability Density Point(x,y)

Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.

object
probability
Probability

Probability of given Value of the metric that can be plotted on y-axis.

number format: float
x
Metric Value

Value of the metric that can be plotted on x-axis.

number format: float
response_size_stat
object
pdf_95
PDF 95th Percentile

Pdf_95 represents the 95th percentile of PDF.

number format: float
pdf_mean
PDF Mean

Pdf_mean represents the mean of PDF.

number format: float
response_throughput
PDF(response throughput)

List of Probability density points for PDF for response throughput.

Array<object>
Probability Density Point(x,y)

Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.

object
probability
Probability

Probability of given Value of the metric that can be plotted on y-axis.

number format: float
x
Metric Value

Value of the metric that can be plotted on x-axis.

number format: float
response_throughput_stat
object
pdf_95
PDF 95th Percentile

Pdf_95 represents the 95th percentile of PDF.

number format: float
pdf_mean
PDF Mean

Pdf_mean represents the mean of PDF.

number format: float
sensitive_data
List of sensitive data

List of sensitive data for request API endpoint.

Array<object>
Sensitive Data

Sensitive data for a given API endpoint.

object
compliances
Compliances

Compliance frameworks.

Array<string>
examples
Examples

Examples of sensitive data.

Array<string>
field
Field

Field of sensitive data.

string
<= 1024 characters
rule_type
string
default: RULE_TYPE_BUILT_IN
Allowed values: RULE_TYPE_BUILT_IN RULE_TYPE_CUSTOM
section
Section

Section of sensitive data.

string
<= 1024 characters
sensitive_data_type
Sensitive Data Type

Type of sensitive data.

string
<= 1024 characters
type
string
default: SENSITIVE_DATA_TYPE_CCN
Allowed values: SENSITIVE_DATA_TYPE_CCN SENSITIVE_DATA_TYPE_SSN SENSITIVE_DATA_TYPE_IP SENSITIVE_DATA_TYPE_EMAIL SENSITIVE_DATA_TYPE_PHONE SENSITIVE_DATA_TYPE_CREDENTIALS SENSITIVE_DATA_TYPE_APP_INFO_LEAKAGE SENSITIVE_DATA_TYPE_MASKED_PII SENSITIVE_DATA_TYPE_LOCATION
Example
{
"sensitive_data": [
{
"rule_type": "RULE_TYPE_BUILT_IN",
"type": "SENSITIVE_DATA_TYPE_CCN"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example